### Method

# Ggit RefSpec ref

#### Declaration [src]

    GgitRefSpec*
    ggit_ref_spec_ref (
      GgitRefSpec* refspec
    )

#### Description [src]

Atomically increments the reference count of `refspec` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitRefSpec`

A `GgitRefSpec` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.